Bug 292131 - compiz triggers a NULL dereference in mesa library with VIA CLE266
compiz triggers a NULL dereference in mesa library with VIA CLE266
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-via (Show other bugs)
8
All Linux
medium Severity high
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-15 12:23 EDT by Jay Turner
Modified: 2015-01-07 19:15 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:15:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/etc/X11/xorg.conf (3.11 KB, text/plain)
2007-09-15 12:25 EDT, Lubomir Kundrak
no flags Details
/var/log/Xorg.0.log (39.99 KB, text/plain)
2007-09-15 12:25 EDT, Lubomir Kundrak
no flags Details

  None (edit)
Description Lubomir Kundrak 2007-09-15 12:23:53 EDT
Description of problem:

When I attempt to run compiz with X server running on an integrated graphics
hardware of the VIA EPIA chip set, X11 server receives a fatal signal after an
segmentation fault. Relevant the configuration and log files are attached
(hopefully).

Version-Release number of selected component (if applicable):

xorg-x11-drv-via-0.2.2-4.fc8
xorg-x11-server-Xorg-1.3.0.0-23.fc8
mesa-libGL-7.0.1-5.fc8
compiz-0.3.6-8.fc7

How reproducible:

Always

Steps to Reproduce:
1. run X11 server configured with the attached xorg.conf on problematic hardware
2. launch compiz

Actual results:
$ DISPLAY=chuck.lan:0 compiz 
compiz: GLX_SGIX_fbconfig is missing
compiz: Failed to manage screen: 0
compiz: No manageable screens found on display chuck.lan:0
$ 

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread -1211054320 (LWP 2391)]
0xb3a5094b in viaGetLock (vmesa=0x8296098, flags=0) at via_context.c:903
903         DRI_VALIDATE_DRAWABLE_INFO(sPriv, dPriv);
(gdb) bt
#0  0xb3a5094b in viaGetLock (vmesa=0x8296098, flags=0) at via_context.c:903
#1  0xb3a54f79 in viaWaitIdle (vmesa=0x8296098, light=0 '\0') at via_ioctl.c:455
#2  0xb3a50fdf in viaDestroyContext (driContextPriv=0x8296058) at via_context.c:701
#3  0xb3a4c567 in driDestroyContext (dpy=0x0, scrn=0, contextPrivate=0x8296058)
at ../common/dri_util.c:755
#4  0xb7c3da14 in __glXDRIcontextDestroy (baseContext=0x8295fc8) at glxdri.c:284
#5  0xb7c058b4 in __glXFreeContext (cx=0x8295fc8) at glxext.c:249
#6  0xb7c05907 in ContextGone (cx=0x0, id=2097158) at glxext.c:126
#7  0x08072ec5 in FreeClientResources (client=0x8292018) at resource.c:783
#8  0x08083aa8 in CloseDownClient (client=0x8292018) at dispatch.c:3567
#9  0x08089b8d in Dispatch () at dispatch.c:440
#10 0x08071795 in main (argc=2, argv=0xbfd45bb4, envp=Cannot access memory at
address 0x8
) at main.c:445
(gdb) print sPriv
$1 = (__DRIscreenPrivate *) 0x8268fc0
(gdb) print dPriv
$2 = (__DRIdrawablePrivate *) 0x0
(gdb) disassemble $eip $eip+1
Dump of assembler code from 0xb3a5094b to 0xb3a5094c:
0xb3a5094b <viaGetLock+75>:     mov    0x18(%ecx),%edx
End of assembler dump.
(gdb) print $ecx
$6 = 0
(gdb)

Additional info:

I will provide the core dump upon request.
Comment 1 Lubomir Kundrak 2007-09-15 12:25:21 EDT
Created attachment 196491 [details]
/etc/X11/xorg.conf
Comment 2 Lubomir Kundrak 2007-09-15 12:25:51 EDT
Created attachment 196501 [details]
/var/log/Xorg.0.log
Comment 3 Lubomir Kundrak 2007-09-25 05:41:01 EDT
Ping on this. Is there anything I can do to help solve this issue? Did I provide
enough information?
Comment 4 Bug Zapper 2008-04-04 09:51:04 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-11-26 02:48:26 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:15:39 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.